### Enumeration

# Vips ForeignPpmFormat

#### Declaration

    enum Vips.ForeignPpmFormat

#### Description [src]

The netpbm file format to save as.

`VIPS_FOREIGN_PPM_FORMAT_PBM` images are single bit.

`VIPS_FOREIGN_PPM_FORMAT_PGM` images are 8, 16, or 32-bits, one band.

`VIPS_FOREIGN_PPM_FORMAT_PPM` images are 8, 16, or 32-bits, three bands.

`VIPS_FOREIGN_PPM_FORMAT_PFM` images are 32-bit float pixels.

`VIPS_FOREIGN_PPM_FORMAT_PNM` images are anymap images — the image format is used to pick the saver.

#### Members

`VIPS_FOREIGN_PPM_FORMAT_PBM`

  Portable bitmap.

  - Value: `0`
  - Available since: 8.0
`VIPS_FOREIGN_PPM_FORMAT_PGM`

  Portable greymap.

  - Value: `1`
  - Available since: 8.0
`VIPS_FOREIGN_PPM_FORMAT_PPM`

  Portable pixmap.

  - Value: `2`
  - Available since: 8.0
`VIPS_FOREIGN_PPM_FORMAT_PFM`

  Portable float map.

  - Value: `3`
  - Available since: 8.0
`VIPS_FOREIGN_PPM_FORMAT_PNM`

  Portable anymap.

  - Value: `4`
  - Available since: 8.0